                                                                                              December 13, 2001
Dear Costco Shareholder:
     We had many things to keep us busy during the past year, and Costco was able to achieve several significant
results despite the challenges of a weakened economy, both domestically and abroad; currency dilution in all six
non-U.S. countries in which we operate; and significant costs related to our major ramp-up in warehouse club
expansion. Some of the things that we are proud of this past year include: record sales of over $34 billion,
representing an eight percent increase over the prior year's 53 weeks of sales; record expansion of 39 warehouse
openings, including seven relocations, six openings in existing markets, and 26 openings in a number of new
markets; the consolidation of our Canadian administrative functions to a new Ottawa office; and the celebration
of our 25th year of operations since our founding of the membership warehouse club industry in San Diego in
1976. We, of course, are not proud that our fiscal 2001 earnings were below our original operating budget, and
5% below earnings of the prior fiscal year; however, we firmly believe that our Company is strong and enters the
new fiscal year very well positioned for earnings growth, both in fiscal 2002 and beyond.
     In terms of expansion, fiscal 2001 represented the largest financial commitment to growth in Costco's
corporate history. Nearly $1.5 billion was expended during the fiscal year--including over $1 billion for new
warehouses and relocations; and over $150 million on remodeling efforts to continually upgrade and expand our
existing base of more than 300 warehouses. Of course this rapid expansion required that we strengthen our
support facilities, and we spent approximately $200 million on expanding our depot (``cross-dock'') operations.
New market openings in fiscal year 2001 included one warehouse in the greater Kansas City market, as well as
one in St. Peters, Missouri; one in Minneapolis, Minnesota; seven warehouses in Texas, in the Dallas/Ft. Worth,
Houston, and Austin markets; two units in North Carolina; our fifth Chicago unit; and one each in Charleston,
South Carolina; Huntsville, Alabama; and Tampa and Jacksonville, Florida. Expansion plans for fiscal 2002
include three openings in Puerto Rico (two of which are now open); two additional units in both Kansas and
North Carolina; two warehouses in the Pittsburgh, Pennsylvania market (one of which is open); two locations in
San Antonio, Texas (one of which is open); three more in the United Kingdom; as well as infills in many existing
markets, for a total of 45 new warehouses--including eight planned relocations of existing warehouses to bigger
and better-located facilities. We believe we are well positioned to expand our operations and increase market
share, given our competitive advantage and our strong financial position, despite the current turbulent economic
conditions. And we feel that the value of the Costco membership and the quality of goods and services we
provide our members are best evidenced by our 86% membership renewal rate, the highest rate of membership
renewal in our Company's history, and the fact that despite heavy infilling in existing markets our warehouses
that have been open for more than a year continue to improve. Comparable sales for last year grew by 4%,
which is significant considering the average Costco warehouse does over $100 million in annual sales.
      In addition to actual physical expansion of our operations during fiscal 2001, considerable resources of both
personnel and dollars were dedicated to activities that both strengthen our position with our members and
distinguish us from the competition. On the merchandising front, new initiatives included the U.S. rollout of our
Special Order Kiosk program, whereby we are able to offer our members, on a special-order basis, up to 40%
savings on ``big-ticket'' items, such as Kohler and Grohe bathroom fixtures, Sealy mattresses, high performance
tires, brand name furniture, and hundreds of additional products. We continued the rollout of our ancillary
departments, such as pharmacy and optical shops and gasoline stations; introduced several new Kirkland
Signature items, such as clothing items, baby formula, health products, and frozen food and delicatessen items,
whereby additional savings on quality merchandise is offered to our members; and added several important new
merchandise vendors including Titleist, Levi, Thomasville, Elizabeth Arden, and Sony computers.
     Outside of merchandising, we have seen continued expansion in our e-commerce business, including the
introduction of a new business-to-business (B2B) e-commerce offering to our Business Members. Our Executive
Membership Program achieved our fiscal year target of having one million Executive Members (each paying
Costco a $100 annual membership fee) by fiscal year end. And as we commence fiscal 2002, Executive Member
sign-ups (both new and through conversions) have averaged more than 10,000 per week during the first twelve
weeks of this new fiscal year. Importantly, the number of additional services being offered under our Executive
Membership Program continues to increase. Finally, our partnership with American Express, and the continuing

                                                        2
rollout of the Costco/American Express co-branded membership/credit cards have been great. As of this writing,
nearly 1.9 million Costco members have signed up for the co-branded credit cards, which also serves as a Costco
membership card; and we are proud to be the only retail company to offer these unique cards. Last year, these
members earned millions of dollars in rebate rewards on their American Express Cash Rebate co-branded cards,
providing significant additional value to being a Costco member.
     In terms of merchandise sales, the foods and sundries departments, and particularly fresh foods, showed
consistent, strong sales growth in fiscal 2001; while our hardlines and softlines sales increases, especially sales of
discretionary, high-ticket items, were impacted by the weakening economy. Fiscal 2001 sales were also helped by
strong sales comparisons in our ancillary departments. We had particularly strong sales increases in our
pharmacy, optical and food court departments; and at fiscal year-end, had 139 high-volume gas stations in
operation. The combined sales of these ancillary departments in fiscal 2001 exceeded $3 billion--nearly 10% of
our total sales--and grew at over twice the rate of total company sales growth.
     We always consider expense control to be our biggest challenge. That was true this past year, and will again
be the case in the new fiscal year. We will continue to question expenses at every level of our Company. We
expect the leveraging of our sales growth and maturing of our many new warehouses will begin to reap benefits,
as will the synergies derived from consolidating our Canadian Division administrative offices in Ottawa. Our
shareholders can be certain that we are committed to evaluating and challenging expenses throughout the
Company and bringing these cost savings to the bottom line. An example worth mentioning is the focus on
energy conservation and exploring ways to reduce energy costs this past year. This has led to a reduction in
energy consumption by nearly 15% throughout the Company, which is helping to mitigate increasing energy
costs in many markets.
     We would also like to share with you how Costco was directly involved in the relief efforts following the
tragic attacks of September 11th in New York and Washington D.C. Our Pentagon City and New York area
buildings, all of which were within eyesight or minutes away from the devastation that occurred, immediately
began donating vital supplies to more than a dozen organizations, including fire and police departments, Red
Cross, Staten Island Relief, Salvation Army, and others. Costco also donated $1 million directly to the New York
Trade Center Relief Fund and $100,000 to support the families of those lost at the Pentagon. In addition, each
U.S. and Canadian warehouse began accepting member and employee donations at its cash registers, raising in
excess of $3 million in the several weeks following September 11th, all of which was sent to the appropriate relief
agencies.
    In summary, we want to thank all our fellow employees--now numbering over 90,000 worldwide--for their
hard work and dedication; and you, our shareholders, for your on going support. We believe Costco made strong
progress in fiscal 2001 and, with its strong financial position, experienced management team and dedicated
employees, is well positioned for long-term growth, profitability, and increased shareholder value.
    We look forward to seeing many of you at our Annual Meeting of Shareholders on January 30th in San
Francisco. Best wishes for a happy, healthy and peaceful Holiday Season and New Year.
Cordially,




Jeff Brotman                                                  Jim Sinegal

